Results 1 to 7 of 7

Thread: Plasma 5.13+ in Leap? KDE + Nvidia + Wayland?

  1. #1
    Join Date
    May 2017
    Location
    Russia
    Posts
    137

    Default Plasma 5.13+ in Leap? KDE + Nvidia + Wayland?

    Hello, when Leap will include Plasma 5.13+? I heard, Nvidia made a patch for Wayland support and it will be released on 11 June. So, when Nvidia users can use Wayland with KDE on OpenSUSE?

  2. #2
    Join Date
    Jun 2008
    Location
    Groningen, Netherlands
    Posts
    19,586
    Blog Entries
    14

    Default Re: Plasma 5.13+ in Leap? KDE + Nvidia + Wayland?

    Closing this and moving to Hardware in 10 minutes
    ° Appreciate my reply? Click the star and let me know why.

    ° Perfection is not gonna happen. No way.

    https://en.opensuse.org/openSUSE:Board#Members
    http://en.opensuse.org/User:Knurpht
    http://nl.opensuse.org/Gebruiker:Knurpht

  3. #3
    Join Date
    Jun 2008
    Location
    Groningen, Netherlands
    Posts
    19,586
    Blog Entries
    14

    Default Re: Plasma 5.13+ in Leap? KDE + Nvidia + Wayland?

    Moved and open.
    ° Appreciate my reply? Click the star and let me know why.

    ° Perfection is not gonna happen. No way.

    https://en.opensuse.org/openSUSE:Board#Members
    http://en.opensuse.org/User:Knurpht
    http://nl.opensuse.org/Gebruiker:Knurpht

  4. #4

    Default Re: Plasma 5.13+ in Leap? KDE + Nvidia + Wayland?

    Quote Originally Posted by psijic View Post
    Hello, when Leap will include Plasma 5.13+? I heard, Nvidia made a patch for Wayland support and it will be released on 11 June.
    That's Plasma 5.16 though, not 5.13.

    So, when Nvidia users can use Wayland with KDE on OpenSUSE?
    In Tumbleweed soon, shortly after June 11th.

    In Leap, 15.2 at the earliest, to be released in about a year.
    I'm not 100% what version that will ship with, also depends on what the upstream LTS version is at that point in time I suppose (i.e. whether 5.12 LTS will still be supported), that's not decided yet either.

    Although, it would be possible to add the additional KDE (and Qt) repos, and upgrade the whole Leap system to the latest (KDE and Qt) versions.
    https://en.opensuse.org/SDB:KDE_repositories
    Then you can even start to use it *now*, as the repos already contain Plasma 5.16 beta since 3 weeks.

    I cannot tell you how well it works though, as I don't have an nvidia card.
    Last edited by wolfi323; 06-Jun-2019 at 04:02.
    You can't blame a madman if you go insane

  5. #5

    Default Re: Plasma 5.13+ in Leap? KDE + Nvidia + Wayland?

    Btw, from looking at the patch, this will not be used automatically.
    You explicitly need to turn it on by setting the "KWIN_DRM_USE_EGL_STREAMS" environment variable.
    It's possible to do that system-wide by adding this line to /etc/environment e.g.:
    Code:
    KWIN_DRM_USE_EGL_STREAMS=1
    You can't blame a madman if you go insane

  6. #6
    Join Date
    May 2017
    Location
    Russia
    Posts
    137

    Question Re: Plasma 5.13+ in Leap? KDE + Nvidia + Wayland?

    Quote Originally Posted by wolfi323 View Post
    Btw, from looking at the patch, this will not be used automatically.
    You explicitly need to turn it on by setting the "KWIN_DRM_USE_EGL_STREAMS" environment variable.
    It's possible to do that system-wide by adding this line to /etc/environment e.g.:
    Code:
    KWIN_DRM_USE_EGL_STREAMS=1
    Yeah, thanks. I know it will be only in Plasma 5.16+ but maybe there will be backports etc. So, we will lose all Plasma versions between 5.12 and 5.16 and they are something like betas? As I understand, there are no good reasons for a regular user to risk with Plasma 5.13 (5.14, 5.15) at all.
    And further: the main risk of Tumbleweed was claimed the unstable support of kernel rolling upgrade with Nvidia drivers upgrade at the same time. So, if all will be good with KDE + Nvidia, it's a huge opportunity to switch on Tumbleweed with less risk than now, right?

  7. #7

    Default Re: Plasma 5.13+ in Leap? KDE + Nvidia + Wayland?

    Quote Originally Posted by psijic View Post
    Yeah, thanks. I know it will be only in Plasma 5.16+ but maybe there will be backports etc.
    Unlikely, as this is rather a new feature.

    And 5.13/5.14/5.15 are no longer maintained/supported upstream anyway, as they are not LTS (Long Term Supported).

    So, we will lose all Plasma versions between 5.12 and 5.16 and they are something like betas?
    No, they are not like betas, they were stable upstream releases.
    Just not LTS like 5.12, which would mean that they get *bugfix* releases for a longer period than usual.

    IOW, 5.13 was no longer supported starting with the release of 5.14.0, and so on.

    But yes, they will never end up in Leap. (and what would be the point to add an old/no longer supported version to Leap instead of the latest one anyway?)

    As I understand, there are no good reasons for a regular user to risk with Plasma 5.13 (5.14, 5.15) at all.
    What risk?
    See above, and no longer relevant anyway, as 5.16 is the currently latest upstream version (when it is released on Tuesday). 5.13, 5.14, 5.15 will just be old/outdated versions then.

    As mentioned, I don't know what the next upstream LTS version will be, but it definitely will be 5.16 or later.

    And further: the main risk of Tumbleweed was claimed the unstable support of kernel rolling upgrade with Nvidia drivers upgrade at the same time. So, if all will be good with KDE + Nvidia, it's a huge opportunity to switch on Tumbleweed with less risk than now, right?
    The possible problems with nvidia drivers and the always latest kernel versions in Tumbleweed (that might not necessarily be supported by nvidia immediately) will likely remain.
    That has nothing to do with KDE/Plasma or X11/Wayland.
    Last edited by wolfi323; 08-Jun-2019 at 12:00.
    You can't blame a madman if you go insane

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •